<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\solicitudController;
use App\Http\Controllers\reciboController;
use App\Http\Controllers\OfertaController;
use App\Http\Controllers\CiudadController;
use App\Http\Controllers\BarcodeController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

 Route::get('/', function () {
    return view('welcome');
}); 



Route::get('/inscripcion2', function(){
    return view('formulario'); //y aquí hijo mio donde compactas la variable????????
})->name('vistaFormulario'); 

// Route::get('/', function () {
//     return redirect()->route('vistaFormulario');
// });



Route::get('/inscripcion', [OfertaController::class, 'Oferts'])->name('vistaFormulario');

Route::post('/inscripcion/enviar', [solicitudController::class, 'enviar'])->name('guardarSolicitud');

Route::post('/recibo/guardar', [reciboController::class, 'enviar'])->name('guardarRecibo');

Route::get('/recibo/cargarImagen/{codigoBarrs}', [BarcodeController::class, 'getCode'])->name('getCode');
//Route::get('/recibo/cargarImagen', [reciboController::class, 'mostrarCodigo'])->name('getCode');

